#include <stdio.h>

#include <libraw1394/raw1394.h>
#include <libavc1394/plug1394.h>

#include "support.h"

void plug_register(raw1394handle_t handle)
{
    // struct oMPR o_mpr;
    // struct oPCR o_pcr;
    struct iMPR i_mpr;
    struct iPCR i_pcr;

    eprintf("Registering plugs...\n");

#if 0
    o_mpr.n_plugs = 1;
    o_mpr.data_rate = DATA_RATE_200;
    o_mpr.bcast_channel = 63;

    o_pcr.online = 1;
    o_pcr.bcast_connection = 0;
    o_pcr.n_p2p_connections = 0;
    o_pcr.data_rate = DATA_RATE_200;
    o_pcr.overhead_id = OVERHEAD_480;
    o_pcr.channel = 63;
    o_pcr.payload = 146;
    plug1394_register_outputs(handle, o_mpr, o_pcr);
#endif

    i_mpr.n_plugs = 1;
    i_mpr.data_rate = DATA_RATE_200;

    i_pcr.online = 1;
    i_pcr.bcast_connection = 0;
    i_pcr.n_p2p_connections = 0;
    i_pcr.channel = 32;
    plug1394_register_inputs(handle, i_mpr, i_pcr);
}

void plug_unregister(raw1394handle_t handle)
{
    eprintf("Unregistering plugs...\n");
    plug1394_unregister_inputs(handle);
}
